Update Datacenter Location
Configure Datacenter Location
Configures the geographical location of the HCX Manager's datacenter. This location is used for topology visualization and will be synchronized with paired HCX sites.
Request
URI
PUT
https://{server}:9443/api/admin/global/config/location
COPY
Request Body
LocationPutRequestBody
of type(s)
application/json
Required
{
"city": "string",
"country": "string",
"province": "string",
"latitude": "string",
"longitude": "string"
}
string
city
Optional
city
string
country
Optional
country
string
province
Optional
province
string
latitude
Optional
latitude
string
longitude
Optional
longitude
Authentication
This operation uses the following authentication methods.
Responses
204
Location configured successfully
Operation doesn't return any data structure
400
Bad request - invalid location parameters
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
500
Internal server error while saving location
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/location
Deprecated
Location Configuration Operations
GET
Get Datacenter Location
Deprecated
PUT
Update Datacenter Location
Deprecated
GET
Search Cities
Deprecated